获取 Offer

这页用于查看独立 Get Offer 流程的接口级细节。

circle-info

以 OpenAPI 命名为准。

实现和文档中统一使用 getOffers.do

主要 API

  • getOffers.do

适用场景

  • 不走标准搜索的报价查询

  • 下单前实时验价

  • 出票前最低价校验

最佳实践

  • 已知目标行程时使用 getOffers.do

  • 保存返回的 OfferId 用于后续下单

  • 当乘客组合、航班选择或预期票价变化时刷新 Offer

  • 后续标准路径使用 order.dopay.do

  • 只有在下单前确实需要附加服务时,才查询 getLuggage.doseatAvailability.do

相关页面

Get Offer

post

Dependency: No preceding function needs to be called before Get Offer.

  • Compared to the Verify API, the GetOffer API does not rely on Search results and improves the success rate of price verify. Since using our GetOffer real-time search increases the L2B Ratio of our requesting carrier API, not all carriers support price verification via the GetOffer.

  • Please contact your Key Account Manager if you want to use the GetOffer API. Atlas will review your workflow and if deemed aplicable, Atlas will provide further information and support you with the implementation of this API.

Endpoint: https://sandbox.atriptech.com/getOffers.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: NAR65434_api_1
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_ID>
Body
adultsinteger · min: 1 · max: 9Required

Number of adults

Default: 0Example: 1
childreninteger · max: 9 · nullableOptional

Number of children

Default: 0Example: 0
infantsinteger · max: 9 · nullableOptional

Number of infants

Default: 0Example: 0
currencystring · nullableOptional

Quotation currency, optional, default will be determined based on a certain strategy, such as the currency of the customer's pre deposit account

Example: USD
residentCodestring · nullableOptional

Resident discount code

Responses
chevron-right
200Success
application/json
statusinteger · enumRequired
  • 0: success
  • 116: airline error
  • 112: timed out
  • 9999: system error
Possible values:
msgstring · nullableOptional

As an additional description of the response result. Especially when the interface reports an error (status ≠ 0), it is usually a human-readable error message.
Note: Do not use this field in any programming scenarios, such as judging whether the interface response is successful based on this field. You should always judge solely based on whether the status is equal to 0.

post
/getOffers.do
200Success

Last updated

Was this helpful?